/* ==============================================================================
3. BUTTONS
============================================================================== */

/* Buttons */
.button-primary,
.button-secondary,
.button-secondary-outline,
.nectar-button,
.regular-button,
.button-secondary-outline-green,
button.tribe-common-c-btn.tribe-events-c-search__button,
.body-button-reserve-your-spot,
body.user-registration-membership_page_user-registration-login-forms #user-registration:not(.user-registration-MyAccount) .ur-button-container .ur-submit-button,
body.user-registration-membership_page_user-registration-login-forms .user-registration:not(.user-registration-MyAccount) .ur-button-container .ur-submit-button,
body.user-registration-page #user-registration:not(.user-registration-MyAccount) .ur-button-container .ur-submit-button,
body.user-registration-page .user-registration:not(.user-registration-MyAccount) .ur-button-container .ur-submit-button,
body.page-id-132834 #user-registration p a,
body.user-registration-membership_page_user-registration-login-forms #user-registration:not(.user-registration-MyAccount) .ur-frontend-form .user-registration-form .ur-form-row .ur-form-grid .user-registration-before-login-btn,
body.user-registration-membership_page_user-registration-login-forms .user-registration:not(.user-registration-MyAccount) .ur-frontend-form .user-registration-form .ur-form-row .ur-form-grid .user-registration-before-login-btn,
body.user-registration-page #user-registration:not(.user-registration-MyAccount) .ur-frontend-form .user-registration-form .ur-form-row .ur-form-grid .user-registration-before-login-btn,
body.user-registration-page .user-registration:not(.user-registration-MyAccount) .ur-frontend-form .user-registration-form .ur-form-row .ur-form-grid .user-registration-before-login-btn,
body.user-registration-membership_page_user-registration-login-forms #user-registration:not(.user-registration-MyAccount) .ur-frontend-form .user-registration-form .ur-form-row .ur-form-grid>div .user-registration-Button,
body.user-registration-membership_page_user-registration-login-forms .user-registration:not(.user-registration-MyAccount) .ur-frontend-form .user-registration-form .ur-form-row .ur-form-grid>div .user-registration-Button,
body.user-registration-page #user-registration:not(.user-registration-MyAccount) .ur-frontend-form .user-registration-form .ur-form-row .ur-form-grid>div .user-registration-Button,
body.user-registration-page .user-registration:not(.user-registration-MyAccount) .ur-frontend-form .user-registration-form .ur-form-row .ur-form-grid>div .user-registration-Button,
body.page-id-135120 .sb_youtube[id^=sb_youtube_] .sby_follow_btn a,
body:not(.parent-pageid-132834) .nectar-cta.button-create-rfp,
.content-card .card-ai-questions-button,
.modal-permissions .modal-input-button,
.ai-questions-button,
body.page-id-133137 .nectar-button,
body.page-id-135005 .nectar-button,
body.page-id-134353 .nectar-button,
.ai-input-form>a,
.ai-input-form .ai-input-form-inner a,
.ai-suggestion,
.ur-frontend-form .ur-form-row .ur-form-grid input.user-registration-Button.button,
p.user-registration-register.register a,
.button-secondary,
body.page-id-132834 .menu-item.button_solid_color_2 a,
body.parent-pageid-132834 .menu-item.button_solid_color_2 a,
.user-registration-MyAccount-content>p:first-of-type a,
.user-registration-MyAccount-content>p:last-child strong {
    display: flex !important;
    align-items: center;
    justify-content: center;
    font-family: "Satoshi-Variable", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif;
    font-weight: 600 !important;
    width: 100% !important;
    margin: 0 !important;
    padding: 0 1.5rem 1px !important;
    min-height: 50px !important;
    line-height: 1.4;
    border: none !important;
    border-radius: 100px !important;
    box-shadow: none;
    text-align: center;
    text-decoration: none;
    text-transform: none !important;
    letter-spacing: -0.02em;
    word-break: break-word;
    white-space: normal;
    cursor: pointer !important;
    transition: 0.3s all ease-out !important;
    font-size: 16px !important;
}

/* Button hover grow effect */
.button-primary:hover,
.body-button-reserve-your-spot:hover,
button.tribe-common-c-btn.tribe-events-c-search__button:hover,
body.user-registration-membership_page_user-registration-login-forms #user-registration:not(.user-registration-MyAccount) .ur-button-container .ur-submit-button:hover,
body.user-registration-membership_page_user-registration-login-forms .user-registration:not(.user-registration-MyAccount) .ur-button-container .ur-submit-button:hover,
body.user-registration-page #user-registration:not(.user-registration-MyAccount) .ur-button-container .ur-submit-button:hover,
body.user-registration-page .user-registration:not(.user-registration-MyAccount) .ur-button-container .ur-submit-button:hover,
body.page-id-132834 #user-registration p a:hover,
body.page-id-132834 #user-registration p a:focus,
body.user-registration-membership_page_user-registration-login-forms #user-registration:not(.user-registration-MyAccount) .ur-frontend-form .user-registration-form .ur-form-row .ur-form-grid>div .user-registration-Button:hover,
body.user-registration-membership_page_user-registration-login-forms .user-registration:not(.user-registration-MyAccount) .ur-frontend-form .user-registration-form .ur-form-row .ur-form-grid>div .user-registration-Button:hover,
body.user-registration-page #user-registration:not(.user-registration-MyAccount) .ur-frontend-form .user-registration-form .ur-form-row .ur-form-grid>div .user-registration-Button:hover,
body.user-registration-page .user-registration:not(.user-registration-MyAccount) .ur-frontend-form .user-registration-form .ur-form-row .ur-form-grid>div .user-registration-Button:hover,
body.page-id-135120 .sb_youtube[id^=sb_youtube_] .sby_follow_btn a:hover,
body.page-id-135120 .sb_youtube[id^=sb_youtube_] .sby_follow_btn a:focus,
body:not(.parent-pageid-132834) .nectar-cta.button-create-rfp:hover,
body:not(.parent-pageid-132834) .nectar-cta.button-create-rfp:focus,
.modal-permissions .modal-input-button:hover,
.ai-questions-button:hover,
.content-card .card-ai-questions-button:hover,
body.page-id-133137 .nectar-button:hover,
body.page-id-135005 .nectar-button:hover,
body.dark-theme .nectar-button:hover,
body.page-id-134353 .nectar-button:hover,
.ai-input-form>a:hover,
.ai-input-form .ai-input-form-inner a:hover,
.ur-frontend-form .ur-form-row .ur-form-grid input.user-registration-Button.button:hover,
p.user-registration-register.register a:hover,
.user-registration-LostPassword a:hover,
.button-secondary:hover,
body.page-id-132834 .menu-item.button_solid_color_2 a:hover,
body.parent-pageid-132834 .menu-item.button_solid_color_2 a:hover,
.user-registration-MyAccount-content>p:first-of-type a:hover,
.user-registration-MyAccount-content>p:last-child strong:hover {
    cursor: pointer;
    transform: scale(1.03);
    cursor: pointer;
    opacity: 1 !important;
}

/* Medium */
.button-medium,
#header-outer.scrolling .button_solid_color a,
body.page-id-135120 .sb_youtube[id^=sb_youtube_] .sby_follow_btn a,
body.dark-theme .nectar-button.button-medium {
    width: auto !important;
    min-height: 42px !important;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 1.5rem !important;
    font-size: 0.9rem !important;
    line-height: 1.3;
}

/* Small */
.button-small,
.button-36,
#header-outer.scrolling .button_solid_color a,
body.page-id-135120 .sb_youtube[id^=sb_youtube_] .sby_follow_btn a,
body.dark-theme .nectar-button.button-small {
    width: auto !important;
    min-height: 36px !important;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 1.3rem !important;
    font-size: 0.9rem !important;
    line-height: 1.3;
}

/* X-Small */
.button-x-small,
.button-30 {
    width: auto !important;
    min-height: 30px !important;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 1.1rem !important;
    font-size: 0.8rem !important;
    line-height: 1.3;
}

/* XX-Small */
.button-xx-small,
.button-24,
body.dark-theme .button-xx-small,
body.dark-theme .button-24 {
    width: auto !important;
    min-height: 24px !important;
    padding: 0 0.6rem !important;
    font-size: 0.7rem !important;
    line-height: 1.3;
}

/* XX-Small */
.button-xxx-small,
.button-22 {
    width: auto !important;
    min-height: 22px !important;
    padding: 0 0.4rem !important;
    font-size: 0.65rem !important;
    line-height: 1.3;
    letter-spacing: 0.01em;
}

/* Auto width button */
.button-auto {
    width: max-content !important;
}

/* Primary */
.button-primary,
.button-yellow,
.button-y,
body.user-registration-membership_page_user-registration-login-forms #user-registration:not(.user-registration-MyAccount) .ur-button-container .ur-submit-button,
body.user-registration-membership_page_user-registration-login-forms .user-registration:not(.user-registration-MyAccount) .ur-button-container .ur-submit-button,
body.user-registration-page #user-registration:not(.user-registration-MyAccount) .ur-button-container .ur-submit-button,
body.user-registration-page .user-registration:not(.user-registration-MyAccount) .ur-button-container .ur-submit-button,
body.user-registration-membership_page_user-registration-login-forms #user-registration:not(.user-registration-MyAccount) .ur-frontend-form .user-registration-form .ur-form-row .ur-form-grid>div .user-registration-Button,
body.user-registration-membership_page_user-registration-login-forms .user-registration:not(.user-registration-MyAccount) .ur-frontend-form .user-registration-form .ur-form-row .ur-form-grid>div .user-registration-Button,
body.user-registration-page #user-registration:not(.user-registration-MyAccount) .ur-frontend-form .user-registration-form .ur-form-row .ur-form-grid>div .user-registration-Button,
body.user-registration-page .user-registration:not(.user-registration-MyAccount) .ur-frontend-form .user-registration-form .ur-form-row .ur-form-grid>div .user-registration-Button,
.modal-input-primary,
body.page-id-133137 .nectar-button,
body.page-id-135005 .nectar-button,
body.page-id-134353 .nectar-button,
.ur-frontend-form .ur-form-row .ur-form-grid input.user-registration-Button.button,
.user-registration-MyAccount-content>p:last-child strong {
    background-color: var(--color-accent) !important;
    color: var(--text-dark) !important;
}

/* Secondary */
.button-secondary,
.nectar-button[data-color-override="false"].regular-button.button-secondary,
body.page-id-132834 #user-registration p a,
.modal-price-table-container .token-container.active,
body.page-template-rfp-create .action-row .secondary-button,
.secondary-button,
.ai-suggestion,
body.page-id-132834 .menu-item.button_solid_color_2 a,
body.parent-pageid-132834 .menu-item.button_solid_color_2 a,
.user-registration-MyAccount-content>p:first-of-type a,
body[data-fancy-form-rcs="1"] .span_12.light .hero-actions .select2-container--default .select2-selection--single,
body[data-fancy-form-rcs="1"] .container .hero-actions span.select2-selection.select2-selection--single {
    background: rgb(115 147 133 / 30%) !important;
    backdrop-filter: blur(8px);
    color: var(--text-dark);
}

.button-secondary:hover,
.button-secondary:focus,
.nectar-button[data-color-override="false"].regular-button.button-secondary:hover,
.nectar-button[data-color-override="false"].regular-button.button-secondary:focus,
body.page-id-132834 #user-registration p a:hover,
body.page-id-132834 #user-registration p a:focus,
.modal-price-table-container .token-container.active:hover,
body.page-template-rfp-create .action-row .secondary-button:hover,
body.page-template-rfp-create .action-row .secondary-button:focus,
.secondary-button:hover,
.secondary-button:focus,
.ai-suggestion:hover,
.user-registration-MyAccount-content>p:first-of-type a:hover,
body.page-template-rfp-create .button-get-started.secondary-button:hover,
body[data-fancy-form-rcs="1"] .container .hero-actions span.select2-selection.select2-selection--single:hover {
    background: rgb(115 147 133 / 40%) !important;
    backdrop-filter: blur(15px);
    -webkit-backdrop-filter: blur(15px);
    color: var(--text-dark) !important;
}

/* Secondary white text */
body.dark-theme .button-secondary,
.modal-input-secondary,
body.page-template-rfp-create .button-get-started.secondary-button {
    background: rgb(115 147 133 / 40%) !important;
    backdrop-filter: blur(8px);
    color: var(--text-white) !important;
}

.modal-input-secondary:hover,
.modal-input-secondary:focus,
body.page-template-rfp-create .button-get-started.secondary-button:hover {
    background: rgb(115 147 133 / 50%) !important;
    backdrop-filter: blur(8px);
    color: var(--text-white) !important;
}

/* Secondary - outline */
.button-secondary-outline,
body.dark-theme .button-secondary-outline,
body[data-button-style^="rounded"] .nectar-button.button-secondary-outline,
body.page-id-132834 #user-registration .user-registration-register.register a.query-button,
body.page-id-132834 #user-registration p strong a,
.modal-price-table-container .token-container,
p.user-registration-register.register a,
#header-outer.at-top .palomarr-header-login-link {
    background: none !important;
    color: #d4e0dc !important;
    font-size: 0.95rem;
    border: 1px solid rgba(255, 255, 255, 0.2) !important;
}

.button-secondary-outline:hover,
body[data-button-style^="rounded"] .nectar-button.button-secondary-outline:hover,
body.page-id-132834 #user-registration .user-registration-register.register a.query-button:hover,
body.page-id-132834 #user-registration p strong a:hover,
p.user-registration-register.register a:hover,
#header-outer.at-top .palomarr-header-login-link:hover {
    border: 1px solid rgba(255, 255, 255, 0.5) !important;
    color: var(--color-white) !important;
}

/* Secondary - outline green */
.button-secondary-outline-green,
.nectar-button.medium.regular.accent-color.regular-button.button-secondary-outline-green {
    background: none !important;
    font-size: 0.95rem;
    color: #768480 !important;
    border: 1px solid rgb(202 213 210) !important;
}

.button-secondary-outline-green:hover {
    color: #52635e !important;
    border: 1px solid rgb(167, 181, 177) !important;
}

/* Secondary - outline black */
.button-secondary-outline-black,
.nectar-button.medium.regular.accent-color.regular-button.button-secondary-outline-black,
body.dark-theme .nectar-button.medium.regular.accent-color.regular-button.button-secondary-outline-black,
body.dark-theme .button-secondary-outline-black {
    background: none !important;
    font-size: 0.95rem;
    color: var(--text-black) !important;
    border: 1px solid color-mix(in srgb, var(--color-black) 40%, transparent) !important;
}

.button-secondary-outline-black:hover,
.nectar-button.medium.regular.accent-color.regular-button.button-secondary-outline-black:hover,
.button-secondary-outline-black.active,
body.dark-theme .button-secondary-outline-black:hover,
body.dark-theme .nectar-button.medium.regular.accent-color.regular-button.button-secondary-outline-black:hover {
    color: var(--text-black) !important;
    border: 1px solid var(--color-black) !important;
}


.button-secondary-outline-black span,
.nectar-button.medium.regular.accent-color.regular-button.button-secondary-outline-black span,
body.dark-theme .nectar-button.medium.regular.accent-color.regular-button.button-secondary-outline-black span,
body.dark-theme .nectar-button.medium.regular.accent-color.regular-button.button-secondary-outline-black,
body.dark-theme .button-secondary-outline-black span {
    color: var(--text-black) !important;
}

/* Green */
.button-green,
.ai-input-outer.light-theme .ai-response-container-actions .nectar-button.ai-response-container-actions-button,
.nectar-button[data-color-override="false"].coffee-button.button-green,
.palomarr-promo .ai-input-form>a,
.palomarr-promo .ai-input-form .ai-input-form-inner a,
body.page-template-home #header-outer.scrolling a.ai-input-open-button,
.body-button-reserve-your-spot,
.hero-button-reserve-your-spot,
#header-outer.scrolling .button_solid_color a,
button.tribe-common-c-btn.tribe-events-c-search__button,
button.user_registration_profile_picture_upload {
    background: #2F9376 !important;
    color: var(--text-white) !important;
}

.button-green:hover,
.button-green[type="submit"]:hover,
.ai-input-outer.light-theme .ai-response-container-actions .nectar-button.ai-response-container-actions-button:hover,
.ai-input-outer.light-theme .ai-response-container-actions .nectar-button.ai-response-container-actions-button:focus,
div#header-outer.scrolling a.ai-input-open-button:hover,
.body-button-reserve-your-spot:hover,
.body-button-reserve-your-spot:focus,
.hero-button-reserve-your-spot:hover,
#header-outer.scrolling .button_solid_color a:hover,
button.tribe-common-c-btn.tribe-events-c-search__button:hover,
button.user_registration_profile_picture_upload:hover {
    background: #41AF8F !important;
    color: var(--text-white) !important;
}

/* Black */
.button-black,
.button-black:hover,
.button-black:focus,
.nectar-button.button-black,
.nectar-button.button-black:hover,
.nectar-button.button-black:focus,
.nectar-button[data-color-override="false"].regular-button.button-black,
.nectar-button[data-color-override="false"].regular-button.button-black:hover,
.nectar-button[data-color-override="false"].regular-button.button-black:focus {
    background: var(--color-black) !important;
    color: var(--text-white) !important;
}

.button-black span,
.nectar-button.button-black span,
.nectar-button[data-color-override="false"].regular-button.button-black span {
    color: var(--text-white) !important;
}

/* White */
.button-white,
.button-white:hover,
.button-white:focus,
.nectar-button.button-white,
.nectar-button.button-white:hover,
.nectar-button.button-white:focus,
.nectar-button[data-color-override="false"].regular-button.button-white,
.nectar-button[data-color-override="false"].regular-button.button-white:hover,
.nectar-button[data-color-override="false"].regular-button.button-white:focus {
    background: var(--color-white) !important;
    color: var(--text-black) !important;
    opacity: 1 !important;
}

.button-white span,
.nectar-button.button-white span,
.nectar-button[data-color-override="false"].regular-button.button-white span {
    color: var(--text-black) !important;
}

/* Very light greenish grey buttons (Ask AI) */
.button-light-green,
body.page-id-135120 .sb_youtube[id^=sb_youtube_] .sby_follow_btn a,
.content-card .card-ai-questions-button,
body:not(.parent-pageid-132834) .nectar-cta.button-create-rfp {
    box-shadow: 0 0 3rem rgba(0, 0, 0, 0.1), 0 0.2rem 0.2rem rgba(0, 0, 0, 0.05);
    background-color: #cad7d3 !important;
    color: var(--text-primary) !important;
}

.button-light-green:hover,
body.page-id-135120 .sb_youtube[id^=sb_youtube_] .sby_follow_btn a:hover,
body.page-id-135120 .sb_youtube[id^=sb_youtube_] .sby_follow_btn a:focus,
.content-card .card-ai-questions-button:hover,
body:not(.parent-pageid-132834) .nectar-cta.button-create-rfp:hover,
body:not(.parent-pageid-132834) .nectar-cta.button-create-rfp:focus {
    box-shadow: 0 0 3rem rgba(0, 0, 0, 0.2), 0 0.2rem 0.2rem rgba(0, 0, 0, 0.1) !important;
    background-color: #adc2bc !important;
}

/* Darker greenish grey buttons (AI Search) */
.button-dark-green,
.content-card .ai-questions-button,
.modal-permissions .modal-input-button {
    box-shadow: 0 0 3rem rgba(0, 0, 0, 0.1), 0 0.2rem 0.2rem rgba(0, 0, 0, 0.05);
    background-color: #768480 !important;
}

.button-dark-green:hover,
.content-card .ai-questions-button:hover,
.modal-permissions .modal-input-button:hover {
    box-shadow: 0 0 3rem rgba(0, 0, 0, 0.2), 0 0.2rem 0.2rem rgba(0, 0, 0, 0.1);
    background-color: #52635e !important;
}

/* Shadow */
.button-shadow,
.nectar-button.button-shadow,
.nectar-button[data-color-override="false"].regular-button.button-shadow {
    box-shadow: 0 4px 36px color-mix(in srgb, var(--color-black) 15%, transparent) !important;
}

.button-shadow:hover,
.button-shadow:focus,
.nectar-button.button-shadow:hover,
.nectar-button.button-shadow:focus,
.nectar-button[data-color-override="false"].regular-button.button-shadow:hover,
.nectar-button[data-color-override="false"].regular-button.button-shadow:focus {
    box-shadow: 0 4px 36px color-mix(in srgb, var(--color-black) 20%, transparent) !important;
}

/* Text buttons - green */
.button-text-link,
.user-registration-LostPassword a {
    display: block;
    color: #77a094 !important;
    text-decoration: none;
    font-size: 0.9rem;
    text-align: center;
    width: 100% !important;
    transition: all 0.3s;
}

.button-text-link:hover,
.user-registration-LostPassword a:hover {
    color: #8cb3a7 !important;
}

body[data-button-style*=rounded] .tilt-button-wrap .nectar-button.regular-tilt {
    border-radius: 100px !important;
    display: flex;
    align-items: center;
    justify-content: center;
}

.tilt-button-wrap .nectar-button.regular-tilt:hover {
    transform: scale(1.03) !important;
}

a.nectar-button.hero-button-outline {
    background: none !important;
    border: 1px solid var(--color-accent);
    color: var(--color-accent);
}

a.nectar-button.hero-button-outline:hover {
    color: var(--color-accent);
}

.button-right-margin {
    margin-right: 10px;
}

.nectar-cta .link_wrap {
    line-height: 1.4;
}
